#include "SurvivorExposerInstanceManagerComponent.h"
#include "Net/UnrealNetwork.h"

void USurvivorExposerInstanceManagerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(USurvivorExposerInstanceManagerComponent, _exposerInstances);
	DOREPLIFETIME(USurvivorExposerInstanceManagerComponent, _interiorZone);
	DOREPLIFETIME(USurvivorExposerInstanceManagerComponent, _aggravationLevel);
	DOREPLIFETIME(USurvivorExposerInstanceManagerComponent, _spawnEnabled);
	DOREPLIFETIME(USurvivorExposerInstanceManagerComponent, _isVisible);
	DOREPLIFETIME(USurvivorExposerInstanceManagerComponent, _maxNumExposerInstances);
}

USurvivorExposerInstanceManagerComponent::USurvivorExposerInstanceManagerComponent()
{
	this->_aggravationLevel = 0.000000;
	this->_spawnEnabled = true;
	this->_isVisible = true;
	this->_maxNumExposerInstances = 3;
}
